<HTML>
<HEAD>
<TITLE>PySNMP: SNMP message: V1: GETRESPONSE: Objects</TITLE>
</HEAD>

<BODY BGCOLOR="#ffffff" TEXT="#000000"
      LINK="#0000bb"  VLINK="#551a8b" ALINK="#ff0000">
<H3>
Objects of the <STRONG>v1.GETRESPONSE</STRONG> class.
</H3>

<P>
Instances of the <STRONG>v1.GETRESPONSE</STRONG> class have the following
methods:
</P>

<DL>

<DT><STRONG>encode</STRONG>([<STRONG>kwargs</STRONG>])</DT>
<P>
The <STRONG>encode</STRONG> method converts the entire SNMP message
into BER octet-stream (string) in accordance with
<A HREF="http://www.ietf.org/rfc/rfc1157.txt">RFC 1157</A> specification.
</P>
<P>
The <STRONG>kwargs</STRONG> keyword arguments may be used for last-minute
assignments to corresponding message components (see <A HREF="v1.html">
v1 module documentation</A> for valid values.

<DT><STRONG>decode</STRONG>(<STRONG>data</STRONG>)</DT>
<P>
The <STRONG>decode</STRONG> method attempts to convert the
<STRONG>data</STRONG> octet-stream (string) into SNMP message.
</P>
<P>
The type and protocol version of the SNMP message carried in the
<STRONG>data</STRONG> octet-stream must match instance's class type.
</P>
<P>
Any unprocessed part of <STRONG>data</STRONG> octet-stream is returned.
</P>

</DL>

<HR>

<ADDRESS>
ilya@glas.net
</ADDRESS>

</BODY>
</HTML>
